<div class="wrap" id="instagram-settings">
	<h2>Instagram <?php _e('Settings', 'instagram'); ?></h2>
	<form method="post">
	<?php 
	
		$instagramOptions = InstagramPlugin::getInstance()->getOptions();
			
		if(InstagramPlugin::getInstance()->getAccessToken()):
			echo '<div class="success">';
			_e('Your application is authorized, have fun!', 'instagram');
			echo '</div>';
		?>
			<div>
				<input type="submit" class="button-primary" name="instagram-reset-settings" value="<?php _e('Reset settings', 'instagram'); ?>" />
			</div>
		<?php
		else:
		?>
			<div class="error">
				<p>
				<?= __('Instagram requires authentication by OAuth in order to use it.', 'instagram') ?>
				</p>
			</div>
			<div>
				<?php _e('To activate Instapress follow the next steps', 'instagram') ?>:
				<ol>
					<li><a href="http://instagr.am/developer/client/register/" target="_blank"><?php _e('Register your application', 'instagram'); ?></a>
						<?php _e('and fill in the form as follows', 'instagram'); ?>:
						<ol>
							<li><?= sprintf(__('Application Name: e.g. &quot;%s&quot;', 'instagram'), get_bloginfo('name')); ?></li>
							<li><?php _e('Description (optional): e.g. &quot;For my Wordpress Blog&quot;', 'instagram'); ?></li>
							<li><?= sprintf(__('Website: %s', 'instagram'), get_bloginfo('url')) ?></li>
							<li><?= sprintf(__('OAuth redirect_uri: %s', 'instagram'), get_admin_url().'options-general.php') ?></li>
						</ol>
					</li>
					<li>
						<?php _e('Once you have registered your application, you will be provided with a CLIENT ID and CLIENT SECRET. Please fill in this information in the following textboxes:'); ?>
						<div>
							<div>
								<label for="instagram-app-client-id">CLIENT ID</label>
								<input type="text" id="instagram-app-client-id" name="instagram-app-client-id" value="<?= esc_attr( $instagramOptions['app_client_id'] ) ?>" />
							</div>
							<div>
								<label for="instagram-app-client-secret">CLIENT SECRET</label>
								<input type="text" id="instagram-app-client-secret" name="instagram-app-client-secret" value="<?= esc_attr( $instagramOptions['app_client_secret'] ) ?>" />
							</div>
							<div>
								<input type="submit" class="button-primary" name="instagram-update-auth-settings" value="<?php _e('Save settings', 'instagram'); ?>" />
							</div>
						</div>
					</li>
				</ol>
			</div>
		<?php
			endif;
		?>
		<h3><?php _e('General settings', 'instagram'); ?></h3>
		<div>
			<label for="instagram-cache-time"><?php _e('Refresh cache after', 'instagram') ?></label>
			<?php 
				$possibleCacheTimes = array(5, 10, 15, 30, 45, 60);
			?>
			<select id="instagram-cache-time" name="instagram-cache-time">
				<?php foreach($possibleCacheTimes as $value): ?>
					<option<?= esc_attr( $instagramOptions['app_cache_time'] ) == $value ? ' selected="selected"' : '' ?>><?= $value ?></option>
				<?php endforeach; ?>
			</select><?php _e('minutes', 'instagram') ?>
		</div>
		<div>
			<input type="submit" class="button-primary" name="instagram-update-settings" value="<?php _e('Save settings', 'instagram'); ?>" />
		</div>
	</form>
</div>